﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FormsDemo
{
    public enum Types { LINE, CIRCLE, RECTANGLE };

    public class GraphicalObject
    {
        public Types Type { get; set; }
        public int X { get; set; }
        public int Y { get; set; }
        public int DX { get; set; }
        public int DY { get; set; }

        public override string ToString()
        {
            String[] typeStrings = { "Čára", "Kruh", "Obdélník" };

            return String.Format("{0} [{1}, {2}];w:{3};h:{4}", typeStrings[(int)Type], X, Y, DX, DY);
        }
    }
}
